        <div class="blockwrap  <?php echo $cssname;?>" <?php echo $stylev;?>>

           <?php
           $titlev ='';
           if($namefront<>'')  $titlev = '<h3>'.$namefront.'</h3>';
           if(is_int(strpos($cssname,'hasnotitle'))) $titlev = '';

           if($despjj<>'') $titlev = $titlev.'<div class="despjj">'.$despjj.'</div>';
            

           $imgv ='';
          // echo $blockimg;
           //get_img can use http img...
           if($blockimg<>'')   $imgv = '<div class="img tc"><img class="maximg" src="'.get_img($blockimg).'" alt="'.$namefront.'" /></div>';

             $linkregionv = ''; 
               if($linktitle<>'' && $linkurl<>'') $linkregionv = '<div class="dmbtn mt10"><a class="more" '.linkhref($linkurl).'>'.$linktitle.'</a></div>';
               
            $despv = $despv.$linkregionv;



             echo  $imgv;
             if($blockid<>'') block($blockid);
              echo  $titlev.'<div class="desp">';
              dmblockid($despv);
              echo '</div> ';



            ?>
            </div>
